!
! Automatically generated by ./mod_rw_for_rttov_types.pl
! Do not edit
!
module rttov_hdf_s2m_io
#include "throw.h"
use parkind1
!use rttov_print_mod
use rttov_hdf_mod
!use rttov_hdf_s2m_def
!use rttov_hdf_s2m_mem
use rttov_types

use hdf5
implicit none
#include "rttov_errorreport.interface"
private
public :: rttov_hdf_s2m_init
public :: rttov_hdf_s2m_rh
public :: rttov_hdf_s2m_wh


contains


subroutine rttov_hdf_s2m_init(x)
type(s2m_type),intent(inout)::x

  x%T=0._jprb
  x%Q=0._jprb
  x%O=0._jprb
  x%P=0._jprb
  x%U=0._jprb
  x%V=0._jprb
  x%WFETC=100000._jprb
end subroutine

subroutine rttov_hdf_s2m_rh(x,lun,err)
type(s2m_type),intent(out)::x
integer(hid_t),intent(in)::lun
integer(kind=jpim),intent(out)::err
character(len=lensh)::sname
logical :: lext
TRY

call rttov_hdf_s2m_init(x)

sname='T'
call read_array_hdf(lun,sname,err,r0=x%T)
THROWM(err.ne.0,"CANNOT READ "//trim(sname))

sname='Q'
call read_array_hdf(lun,sname,err,r0=x%Q)
THROWM(err.ne.0,"CANNOT READ "//trim(sname))

sname='O'
call h5lexists_f( lun, sname, lext, err )
if( lext ) then
call read_array_hdf(lun,sname,err,r0=x%O)
THROWM(err.ne.0,"CANNOT READ "//trim(sname))
endif

sname='P'
call read_array_hdf(lun,sname,err,r0=x%P)
THROWM(err.ne.0,"CANNOT READ "//trim(sname))

sname='U'
call h5lexists_f( lun, sname, lext, err )
if( lext ) then
call read_array_hdf(lun,sname,err,r0=x%U)
THROWM(err.ne.0,"CANNOT READ "//trim(sname))
endif

sname='V'
call h5lexists_f( lun, sname, lext, err )
if( lext ) then
call read_array_hdf(lun,sname,err,r0=x%V)
THROWM(err.ne.0,"CANNOT READ "//trim(sname))
endif

sname='WFETC'
call h5lexists_f( lun, sname, lext, err )
if( lext ) then
call read_array_hdf(lun,sname,err,r0=x%WFETC)
THROWM(err.ne.0,"CANNOT READ "//trim(sname))
endif

err=0_jpim
CATCH
end subroutine

subroutine rttov_hdf_s2m_wh(x,lun,err,compress)
type(s2m_type),intent(in)::x
integer(hid_t),intent(in)::lun
integer(kind=jpim),intent(out)::err
logical,intent(in),optional::compress
character(len=lensh)::sname

TRY
sname='T'
call write_array_hdf(lun,sname,&
  & 'Temperature (K)',&
  & err,r0=x%T , units = 'K' )
THROWM(err.ne.0,"CANNOT WRITE "//trim(sname))

sname='Q'
call write_array_hdf(lun,sname,&
  & 'Water vapour (ppmv or kg/kg)',&
  & err,r0=x%Q , units = 'ppmv or kg/kg' )
THROWM(err.ne.0,"CANNOT WRITE "//trim(sname))

sname='O'
call write_array_hdf(lun,sname,&
  & 'Ozone (ppmv or kg/kg)',&
  & err,r0=x%O , units = 'ppmv or kg/kg' )
THROWM(err.ne.0,"CANNOT WRITE "//trim(sname))

sname='P'
call write_array_hdf(lun,sname,&
  & 'Surface pressure (hPa)',&
  & err,r0=x%P , units = 'hPa' )
THROWM(err.ne.0,"CANNOT WRITE "//trim(sname))

sname='U'
call write_array_hdf(lun,sname,&
  & 'U 10m wind component (m/s)',&
  & err,r0=x%U , units = 'm/s' )
THROWM(err.ne.0,"CANNOT WRITE "//trim(sname))

sname='V'
call write_array_hdf(lun,sname,&
  & 'V 10m wind component (m/s)',&
  & err,r0=x%V , units = 'm/s' )
THROWM(err.ne.0,"CANNOT WRITE "//trim(sname))

sname='WFETC'
call write_array_hdf(lun,sname,&
  & 'Wind fetch (metres)',&
  & err,r0=x%WFETC , units = 'm' )
THROWM(err.ne.0,"CANNOT WRITE "//trim(sname))

err=0_jpim
CATCH
end subroutine

end module
