!
! Automatically generated by ./mod_rw_for_rttov_types.pl
! Do not edit
!
module rttov_hdf_sskin_io
#include "throw.h"
use parkind1
!use rttov_print_mod
use rttov_hdf_mod
!use rttov_hdf_sskin_def
!use rttov_hdf_sskin_mem
use rttov_types

use hdf5
implicit none
#include "rttov_errorreport.interface"
private
public :: rttov_hdf_sskin_init
public :: rttov_hdf_sskin_rh
public :: rttov_hdf_sskin_wh


contains


subroutine rttov_hdf_sskin_init(x)
type(sskin_type),intent(inout)::x

  x%SURFTYPE=0_jpim
  x%WATERTYPE=1_jpim
  x%T=0._jprb
  x%SALINITY=35._jprb
  x%FOAM_FRACTION=0._jprb
  x%FASTEM=0._jprb
end subroutine

subroutine rttov_hdf_sskin_rh(x,lun,err)
type(sskin_type),intent(out)::x
integer(hid_t),intent(in)::lun
integer(kind=jpim),intent(out)::err
character(len=lensh)::sname
logical :: lext
TRY

call rttov_hdf_sskin_init(x)

sname='SURFTYPE'
call read_array_hdf(lun,sname,err,i0=x%SURFTYPE)
THROWM(err.ne.0,"CANNOT READ "//trim(sname))

sname='WATERTYPE'
call h5lexists_f( lun, sname, lext, err )
if( lext ) then
call read_array_hdf(lun,sname,err,i0=x%WATERTYPE)
THROWM(err.ne.0,"CANNOT READ "//trim(sname))
endif

sname='T'
call read_array_hdf(lun,sname,err,r0=x%T)
THROWM(err.ne.0,"CANNOT READ "//trim(sname))

sname='SALINITY'
call h5lexists_f( lun, sname, lext, err )
if( lext ) then
call read_array_hdf(lun,sname,err,r0=x%SALINITY)
THROWM(err.ne.0,"CANNOT READ "//trim(sname))
endif

sname='FOAM_FRACTION'
call h5lexists_f( lun, sname, lext, err )
if( lext ) then
call read_array_hdf(lun,sname,err,r0=x%FOAM_FRACTION)
THROWM(err.ne.0,"CANNOT READ "//trim(sname))
endif

sname='FASTEM'
call h5lexists_f( lun, sname, lext, err )
if( lext ) then
call read_array_hdf(lun,sname,err,r1=x%FASTEM)
THROWM(err.ne.0,"CANNOT READ "//trim(sname))
endif

err=0_jpim
CATCH
end subroutine

subroutine rttov_hdf_sskin_wh(x,lun,err,compress)
type(sskin_type),intent(in)::x
integer(hid_t),intent(in)::lun
integer(kind=jpim),intent(out)::err
logical,intent(in),optional::compress
character(len=lensh)::sname

TRY
sname='SURFTYPE'
call write_array_hdf(lun,sname,&
  & '0=land, 1=sea, 2=sea-ice',&
  & err,i0=x%SURFTYPE  )
THROWM(err.ne.0,"CANNOT WRITE "//trim(sname))

sname='WATERTYPE'
call write_array_hdf(lun,sname,&
  & '0=fresh water, 1=ocean water',&
  & err,i0=x%WATERTYPE  )
THROWM(err.ne.0,"CANNOT WRITE "//trim(sname))

sname='T'
call write_array_hdf(lun,sname,&
  & 'Radiative skin temperature (K)',&
  & err,r0=x%T , units = 'K' )
THROWM(err.ne.0,"CANNOT WRITE "//trim(sname))

sname='SALINITY'
call write_array_hdf(lun,sname,&
  & 'Practical salinity unit %o - FASTEM-4/5 only',&
  & err,r0=x%SALINITY  )
THROWM(err.ne.0,"CANNOT WRITE "//trim(sname))

sname='FOAM_FRACTION'
call write_array_hdf(lun,sname,&
  & 'Ocean foam coverage fraction (0-1). Used by FASTEM when supply_foam_fraction option is TRUE ',&
  & err,r0=x%FOAM_FRACTION , units = '0:1' )
THROWM(err.ne.0,"CANNOT WRITE "//trim(sname))

sname='FASTEM'
call write_array_hdf(lun,sname,&
  & 'Land/sea-ice surface parameters for fastem',&
  & err,r1=x%FASTEM  )
THROWM(err.ne.0,"CANNOT WRITE "//trim(sname))

err=0_jpim
CATCH
end subroutine

end module
